org.apache.catalina.connector

## Class ClientAbortException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.io.IOException
      - - org.apache.catalina.connector.ClientAbortException

All Implemented Interfaces:
  Serializable

    public final class ClientAbortException
    extends IOException

Wrap an IOException identifying it as being caused by an abort of a request by a remote client.

Author:
  Glenn L. Nielsen
See Also:
  Serialized Form

### Field Summary

Fields
`protected String` `message` The error message passed to our constructor (if any)
`protected Throwable` `throwable` The underlying exception or error passed to our constructor (if any)

### Constructor Summary

Constructors
Constructor and Description
`ClientAbortException()` Construct a new ClientAbortException with no other information.
`ClientAbortException(String message)` Construct a new ClientAbortException for the specified message.
`ClientAbortException(String message, Throwable throwable)` Construct a new ClientAbortException for the specified message and throwable.
`ClientAbortException(Throwable throwable)` Construct a new ClientAbortException for the specified throwable.

### Method Summary

Methods
`Throwable` `getCause()` Returns the cause that caused this exception, if any.
`String` `getMessage()` Returns the message associated with this exception, if any.
`String` `toString()` Return a formatted string that describes this exception.

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getLocalizedMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Field Detail

#### message

    protected String message

The error message passed to our constructor (if any)

#### throwable

    protected Throwable throwable

The underlying exception or error passed to our constructor (if any)

### Constructor Detail

#### ClientAbortException

    public ClientAbortException()

Construct a new ClientAbortException with no other information.

#### ClientAbortException

    public ClientAbortException(String message)

Construct a new ClientAbortException for the specified message.

Parameters:
  `message` - Message describing this exception

#### ClientAbortException

    public ClientAbortException(Throwable throwable)

Construct a new ClientAbortException for the specified throwable.

Parameters:
  `throwable` - Throwable that caused this exception

#### ClientAbortException

    public ClientAbortException(String message,
                        Throwable throwable)

Construct a new ClientAbortException for the specified message and throwable.

Parameters:
  `message` - Message describing this exception
  `throwable` - Throwable that caused this exception

### Method Detail

#### getMessage

    public String getMessage()

Returns the message associated with this exception, if any.

Overrides:
  `getMessage` in class `Throwable`

#### getCause

    public Throwable getCause()

Returns the cause that caused this exception, if any.

Overrides:
  `getCause` in class `Throwable`

#### toString

    public String toString()

Return a formatted string that describes this exception.

Overrides:
  `toString` in class `Throwable`